Re: Addition in lintian to warn about debian/pyversions file

2018-05-15 Thread Ondrej Novy
Hi, 2018-05-15 6:55 GMT+02:00 Scott Kitterman : > > I don't think deleting pycompat and pyversions is worth an upload. They > are > obsolete and should be removed, but don't actually hurt anything. > I agree. But maybe there are more changes in git, which in sum are worth

Re: Addition in lintian to warn about debian/pyversions file

2018-05-14 Thread Scott Kitterman
On Monday, May 14, 2018 10:51:45 AM Joseph Herlant wrote: > Hi, > > On Mon, May 14, 2018 at 3:14 AM, Thomas Goirand wrote: > > As Ondrej wrote, there's only a few packages having this. How about we > > just do a few NMUs as a team to fix that completely in the archive? > > I

Re: Addition in lintian to warn about debian/pyversions file

2018-05-14 Thread Joseph Herlant
Hi, On Mon, May 14, 2018 at 3:14 AM, Thomas Goirand wrote: > As Ondrej wrote, there's only a few packages having this. How about we > just do a few NMUs as a team to fix that completely in the archive? I was actually thinking about integrating that removal to Ondřej's next

Re: Addition in lintian to warn about debian/pyversions file

2018-05-14 Thread Ondrej Novy
Hi, 2018-05-14 12:14 GMT+02:00 Thomas Goirand : > As Ondrej wrote, there's only a few packages having this. How about we > just do a few NMUs as a team to fix that completely in the archive? > (imho) lintian tag is still good idea. In future we can change it to "error" to

Re: Addition in lintian to warn about debian/pyversions file

2018-05-14 Thread Thomas Goirand
On 05/14/2018 02:41 AM, Joseph Herlant wrote: > Hi guys, > > FYI I am requesting a new lintian tag to warn about the presence of > the debian/pyversions file as it is supposed to be obsolete since > dh_python2 [1]. As Ondrej wrote, there's only a few packages having this. How about we just do a

Addition in lintian to warn about debian/pyversions file

2018-05-13 Thread Joseph Herlant
Hi guys, FYI I am requesting a new lintian tag to warn about the presence of the debian/pyversions file as it is supposed to be obsolete since dh_python2 [1]. According to the policy[2], we are supposed to use the X-Python3-Version field in debian/control to specify the version now. Please let